import Vue from 'vue';
import { SetupContext } from '@vue/composition-api';
import { InputNumberValue, TdInputNumberProps } from './type';
export default function useInputNumber(props: TdInputNumberProps, context: SetupContext): {
    classPrefix: import("@vue/composition-api").Ref<string>;
    wrapClasses: import("@vue/composition-api").ComputedRef<(string | {
        [x: string]: unknown;
    })[]>;
    reduceClasses: import("@vue/composition-api").ComputedRef<(string | {
        [x: string]: unknown;
    })[]>;
    addClasses: import("@vue/composition-api").ComputedRef<(string | {
        [x: string]: unknown;
    })[]>;
    displayValue: import("@vue/composition-api").Ref<any>;
    tDisabled: import("@vue/composition-api").ComputedRef<unknown>;
    isError: import("@vue/composition-api").Ref<"exceed-maximum" | "below-minimum">;
    listeners: {
        blur: (value: string, ctx: {
            e: FocusEvent;
        }) => void;
        focus: (value: string, ctx: {
            e: FocusEvent;
        }) => void;
        keydown: (value: string, ctx: {
            e: KeyboardEvent;
        }) => void;
        keyup: (value: string, ctx: {
            e: KeyboardEvent;
        }) => void;
        keypress: (value: string, ctx: {
            e: KeyboardEvent;
        }) => void;
        enter: (value: string, ctx: {
            e: KeyboardEvent;
        }) => void;
        click: () => void;
    };
    userInput: import("@vue/composition-api").Ref<string>;
    tValue: import("@vue/composition-api").Ref<InputNumberValue>;
    inputRef: import("@vue/composition-api").Ref<Vue>;
    formDisabled: import("@vue/composition-api").ComputedRef<unknown>;
    focus: () => void;
    blur: () => void;
    handleReduce: (e: KeyboardEvent | MouseEvent) => void;
    handleAdd: (e: KeyboardEvent | MouseEvent) => void;
    onInnerInputChange: (val: string, ctx: {
        e: InputEvent;
    }) => void;
};
